﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.Primitives;
using Telerik.WinControls.UI.Docking;
using Telerik.WinControls.Layouts;
using Telerik.WinControls.UI;

namespace ToolWindowCaptionImage
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.radDock1.FloatingWindowCreated += new FloatingWindowEventHandler(radDock1_FloatingWindowCreated);
            
            this.toolWindow3.DockState = DockState.Floating;
        }

        private void radDock1_FloatingWindowCreated(object sender, FloatingWindowEventArgs e)
        {
            e.Window.Shown += new EventHandler(Window_Shown);
        }

        private void Window_Shown(object sender, EventArgs e)
        {
            FloatingWindow window = (FloatingWindow)sender;
            window.Shown -= new EventHandler(Window_Shown);

            if (window.FormElement.TitleBar.Children[2].Children[0] is RadButtonElement)
            {
                return;
            }

            RadButtonElement radButtonElement = new RadButtonElement();
            radButtonElement.Text = "Print";
            window.FormElement.TitleBar.Children[2].Children.Insert(0, radButtonElement);
        }
    }
}